REM Set file path variables
set pythonPath="c:\Python27\Python.exe"
set gdalPath="c:\Program Files\GDAL"
set dataPath="c:\data\OSMdev"
set retrievePath=%dataPath%\DataRetrieveOverpass.py
set mergePath=%dataPath%\MergeGeoJsons.py
set csvMakePath=%dataPath%\MakeCSVsAndZip.py
set outputPath=%dataPath%\output
mkdir %outputPath%

REM Run Python script to pull OSM data into XML files
%pythonPath% %retrievePath% %dataPath%

REM Convert the OSM XMLs into GeoJSON, clipping to city boundary
cd %gdalPath%
ogr2ogr -f GeoJSON -clipsrc %dataPath%\city_limits.geojson %outputPath%\csa.geojson %dataPath%\csa.osm points
ogr2ogr -f GeoJSON -clipsrc %dataPath%\city_limits.geojson %outputPath%\pantries.geojson %dataPath%\pantries.osm points
ogr2ogr -f GeoJSON -clipsrc %dataPath%\city_limits.geojson %outputPath%\markets.geojson %dataPath%\markets.osm points
ogr2ogr -f GeoJSON -clipsrc %dataPath%\city_limits.geojson %outputPath%\farms.geojson %dataPath%\farms.osm multipolygons
ogr2ogr -f GeoJSON -clipsrc %dataPath%\city_limits.geojson %outputPath%\gardens.geojson %dataPath%\gardens.osm multipolygons
ogr2ogr -f GeoJSON -clipsrc %dataPath%\city_limits.geojson %outputPath%\compost.geojson %dataPath%\compost.osm points

REM merge farms and gardens files
set farmsFile=%outputPath%\farms.geojson
set gardensFile=%outputPath%\gardens.geojson
set mergedFile=%outputPath%\farmsAndGardens.geojson
%pythonPath% %mergePath% %farmsFile% %gardensFile% %mergedFile%

REM Clean up files and directories
del %dataPath%\csa.osm /f /q
del %dataPath%\pantries.osm /f /q
del %dataPath%\markets.osm /f /q
del %dataPath%\farms.osm /f /q
del %dataPath%\gardens.osm /f /q
del %dataPath%\compost.osm /f /q
del %outputPath%\farms.geojson /f /q
del %outputPath%\gardens.geojson /f /q

REM Run script to make CSV files
%pythonPath% %csvMakePath% %outputPath%

