# Queries the OpenStreetMap API for urban food resources and saves them to XML
import urllib
import os
import sys

workspace = sys.argv[1]

# Make data queries to jXAPI
csaXml = urllib.urlopen("http://www.overpass-api.de/api/xapi_meta?*%5Bfarm_boxes=source|pickup|source_and_pickup%5D%5Bbbox=-75.29,39.86,-74.95,40.15%5D").read()
pantriesXml = urllib.urlopen("http://www.overpass-api.de/api/xapi_meta?*%5Bsocial_facility=food_bank|soup_kitchen%5D%5Bbbox=-75.29,39.86,-74.95,40.15%5D").read()
marketsXml = urllib.urlopen("http://www.overpass-api.de/api/xapi_meta?*%5Bshop=farm%5D%5Bbbox=-75.29,39.86,-74.95,40.15%5D").read()
farmsXml = urllib.urlopen("http://www.overpass-api.de/api/xapi_meta?*%5Blanduse=farm%5D%5Bbbox=-75.29,39.86,-74.95,40.15%5D").read()
compostXml = urllib.urlopen("http://www.overpass-api.de/api/xapi_meta?*%5Bcompost=yes%5D%5Bbbox=-75.29,39.86,-74.95,40.15%5D").read()
gardensXml = urllib.urlopen("http://www.overpass-api.de/api/xapi_meta?*%5Bleisure=garden%5D%5Bbbox=-75.29,39.86,-74.95,40.15%5D").read()

# Make CSA file
csaPath = os.path.join(workspace,"csa.osm")
csaFile = open(csaPath, 'w')
csaFile.write(csaXml)
csaFile.close()

# Make food pantries file
pantriesPath = os.path.join(workspace,"pantries.osm")
pantriesFile = open(pantriesPath, 'w')
pantriesFile.write(pantriesXml)
pantriesFile.close()

# Make farmers markets file
marketsPath = os.path.join(workspace,"markets.osm")
marketsFile = open(marketsPath, 'w')
marketsFile.write(marketsXml)
marketsFile.close()

# Make farms file
farmsPath = os.path.join(workspace,"farms.osm")
farmsFile = open(farmsPath, 'w')
farmsFile.write(farmsXml)
farmsFile.close()

# Make gardens file
gardensPath = os.path.join(workspace,"gardens.osm")
gardensFile = open(gardensPath, 'w')
gardensFile.write(gardensXml)
gardensFile.close()

# Make compost file
compostPath = os.path.join(workspace,"compost.osm")
compostFile = open(compostPath, 'w')
compostFile.write(compostXml)
compostFile.close()
